Subject: Re: [patch 01/11] user of the jiffies rounding code: Networking

From: Auke Kok <[email-masked]>
Date: Tue, 06 Feb 2007 10:45:41 -0800

David Miller wrote:
> From: [email-masked]
> Date: Mon, 05 Feb 2007 16:30:52 -0800
> 
>> From: Arjan van de Ven <[email-masked]>
>>
>> This patch introduces users of the round_jiffies() function in the networking
>> code.
>>
>> These timers all were of the "about once a second" or "about once every X
>> seconds" variety and several showed up in the "what wakes the cpu up" profiles
>> that the tickless patches provide.  Some timers are highly dynamic based on
>> network load; but even on low activity systems they still show up so the
>> rounding is done only in cases of low activity, allowing higher frequency
>> timers in the high activity case.
>>
>> The various hardware watchdogs are an obvious case; they run every 2 seconds
>> but aren't otherwise specific of exactly when they need to run.
>>
>> Signed-off-by: Arjan van de Ven <[email-masked]>
>> Signed-off-by: Andrew Morton <[email-masked]>
> 
> I pulled in everything except the e1000 driver change, Jeff please
> suck that in, thanks.

Jeff,

And add my:

Acked-by: Auke Kok <[email-masked]>

Thanks

Auke

> 
> Arjan, btw:
> 
>> +	if (dst_gc_timer_expires > 4*HZ)
>> +		mod_timer(&dst_gc_timer,
>> +			round_jiffies(jiffies + dst_gc_timer_expires));
>> +	else
>> +		mod_timer(&dst_gc_timer, jiffies + dst_gc_timer_expires);
>    ^^^^^^^^^^^^^
> 
> That line begins "TAB SPACE TAB", and lo' and behold GIT
> catch this when I applied it :-)  I fixed it up by hand
> and reapplied, so don't worry about this instance.
> 
> -
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html